"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Validator {
    constructor(rules = []) {
        this.rules = rules;
    }
    /**
     * Validate your input by rules
     * @param data input for validator
     * @returns null if error not exist, or error message
     */
    validate(data) {
        for (const rule of this.rules) {
            if (!rule.validate(data)) {
                const message = rule.errorMessage;
                return message;
            }
        }
        return null;
    }
    push(rule) {
        this.rules.push(rule);
    }
}
exports.Validator = Validator;
//# sourceMappingURL=Validator.js.map